# Same-Time Registered Domain Finder

GET /discovery/sametime-domain-finder: Finds domains registered by the same registrant within interval minutes (1–60, default 5) of the given domain.

Source: https://docs.deepinfo.com/reference/discovery/same-time-registered-domain-finder/

Last updated: 2026-09-27

---
`GET https://api.deepinfo.com/v1/discovery/sametime-domain-finder`

Finds domains registered by the same registrant within `interval` minutes (1–60, default 5) of the given domain.

## Authentication

Send your API key in the `apikey` request header.

## Query Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `domain` | Required |  | `deepinfo.com` |
| `page_size` | Optional | Min `25`, max `100`. Default `100`. | `25` |
| `ordering` | Optional |  |  |
| `export` | Optional | Default `false`. |  |
| `export_format` | Optional | One of: `json`, `csv`. |  |
| `export_scope` | Optional | One of: `basic`, `default`, `extended`. |  |
| `interval` | Optional | Min `1`, max `60`. Default `5`. | `5` |
| `include_subdomains` | Optional | Default `false`. |  |
| `page` | Optional | Min `1`, max `400`. Default `1`. | `1` |

## Response Fields

| Field | Type | Description |
|---|---|---|
| `page` | integer |  |
| `page_size` | integer |  |
| `result_count` | integer |  |
| `results` | array of object |  |
| `results[].punycode` | string |  |
| `results[].unicode` | string |  |
| `results[].is_idn` | boolean |  |
| `results[].subdomain` | object |  |
| `results[].subdomain_last` | object |  |
| `results[].subdomain_root` | object |  |
| `results[].name` | object |  |
| `results[].domain` | object |  |
| `results[].type` | integer |  |
| `results[].subdomain_level_count` | integer |  |
| `results[].dns` | object |  |
| `results[].dns_last_change_date` | string | date-time |
| `results[].ip_history` | array of string |  |
| `results[].ssl` | object |  |
| `results[].ssl_last_change_date` | string | date-time |
| `results[].webdata` | object |  |

Paginated. See [Getting Started → Pagination](/getting-started/pagination/).

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `page` | number |
| `page_size` | number |
| `result_count` | number |
| `results` | array<object> |
| `results[].punycode` | string |
| `results[].unicode` | string |
| `results[].is_idn` | boolean |
| `results[].subdomain` | null |
| `results[].subdomain_last` | null |
| `results[].subdomain_root` | null |
| `results[].name` | object |
| `results[].name.punycode` | string |
| `results[].name.unicode` | string |
| `results[].name.is_idn` | boolean |
| `results[].name.contains_letter` | boolean |
| `results[].name.contains_number` | boolean |
| `results[].name.contains_hyphen` | boolean |
| `results[].name.length` | number |
| `results[].name.lang` | string |
| `results[].name.keywords` | array<string> |
| `results[].name.keyword_count` | number |
| `results[].name.latinized` | array |
| `results[].name.contains_confusable` | boolean |
| `results[].domain` | object |
| `results[].domain.punycode` | string |
| `results[].domain.unicode` | string |
| `results[].domain.is_idn` | boolean |
| `results[].domain.name` | object |
| `results[].domain.name.punycode` | string |
| `results[].domain.name.unicode` | string |
| `results[].domain.name.is_idn` | boolean |
| `results[].domain.name.contains_letter` | boolean |
| `results[].domain.name.contains_number` | boolean |
| `results[].domain.name.contains_hyphen` | boolean |
| `results[].domain.name.length` | number |
| `results[].domain.name.lang` | string |
| `results[].domain.name.keywords` | array<string> |
| `results[].domain.name.keyword_count` | number |
| `results[].domain.extension` | object |
| `results[].domain.extension.punycode` | string |
| `results[].domain.extension.unicode` | string |
| `results[].domain.extension.is_idn` | boolean |
| `results[].domain.extension_root` | object |
| `results[].domain.extension_root.punycode` | string |
| `results[].domain.extension_root.unicode` | string |
| `results[].domain.extension_root.is_idn` | boolean |
| `results[].domain.extension_sub` | null |
| `results[].domain.extension_type` | number |
| `results[].domain.reserved` | null |
| `results[].domain.premium` | null |
| `results[].domain.registered` | boolean |
| `results[].domain.whois` | object |
| `results[].domain.whois.create_date` | string |
| `results[].domain.whois.update_date` | string |
| `results[].domain.whois.expiry_date` | string |
| `results[].domain.whois.registrar` | string |
| `results[].domain.whois.registrant` | object |
| `results[].domain.whois.registrant.name` | string |
| `results[].domain.whois.registrant.organization` | string \| null |
| `results[].domain.whois.registrant.street` | string |
| `results[].domain.whois.registrant.city` | string |
| `results[].domain.whois.registrant.state` | string |
| `results[].domain.whois.registrant.postal_code` | string |
| `results[].domain.whois.registrant.country` | string |
| `results[].domain.whois.registrant.phone` | string |
| `results[].domain.whois.registrant.email` | string |
| `results[].domain.whois.name_servers` | array<string> |
| `results[].domain.whois.domain_status` | array<string> |
| `results[].domain.whois.whois_server` | string |
| `results[].domain.whois.check_date` | string |
| `results[].domain.whois_normalized` | object |
| `results[].domain.whois_normalized.registrant` | object |
| `results[].domain.whois_normalized.registrant.organization` | string \| null |
| `results[].domain.whois_normalized.registrant.phone` | string |
| `results[].domain.whois_normalized.registrant.email` | string |
| `results[].domain.whois_normalized.registrant.email_fqdn_apex` | string |
| `results[].domain.whois_normalized.registrant.email_domain_apex` | string |
| `results[].domain.whois_last_check_date` | string |
| `results[].domain.whois_create_date_historical` | array<string> |
| `results[].domain.whois_last_change_date` | string |
| `results[].domain.whois_registrant_email_historical` | array<string> |
| `results[].domain.whois_privacy_enabled` | boolean |
| `results[].domain.dns` | object |
| `results[].domain.dns.a` | object |
| `results[].domain.dns.a.update_date` | string |
| `results[].domain.dns.a.ip_addresses` | array<string> |
| `results[].domain.dns_last_change_date` | string \| null |
| `results[].domain.ip_history` | array<string> |
| `results[].domain.ssl` | object |
| `results[].domain.ssl.validity` | object |
| `results[].domain.ssl.validity.start_date` | string |
| `results[].domain.ssl.validity.end_date` | string |
| `results[].domain.ssl.serial_number` | string |
| `results[].domain.ssl.check_date` | string |
| `results[].domain.ssl_last_change_date` | string \| null |
| `results[].type` | number |
| `results[].subdomain_level_count` | number |
| `results[].dns` | object |
| `results[].dns.a` | object |
| `results[].dns.a.update_date` | string |
| `results[].dns.a.ip_addresses` | array<string> |
| `results[].dns.aaaa` | object |
| `results[].dns.aaaa.update_date` | string |
| `results[].dns.aaaa.ip_addresses` | array |
| `results[].dns.ns` | object |
| `results[].dns.ns.update_date` | string |
| `results[].dns.ns.name_servers` | array<string> |
| `results[].dns.mx` | object |
| `results[].dns.mx.update_date` | string |
| `results[].dns.mx.mail_servers` | array<string> |
| `results[].dns.soa` | object |
| `results[].dns.soa.update_date` | string |
| `results[].dns.soa.mnames` | array<string> |
| `results[].dns.soa.rnames` | array<string> |
| `results[].dns.soa.rname_emails` | array<string> |
| `results[].dns.txt` | object |
| `results[].dns.txt.update_date` | string |
| `results[].dns.txt.values` | array<string> |
| `results[].dns.cname` | object |
| `results[].dns.cname.update_date` | string |
| `results[].dns.cname.values` | array |
| `results[].dns.others` | array |
| `results[].dns_last_change_date` | string \| null |
| `results[].ip_history` | array<string> |
| `results[].ssl` | object |
| `results[].ssl.tags` | array<string> |
| `results[].ssl.fqdns` | array<string> |
| `results[].ssl.version` | number |
| `results[].ssl.serial_number` | string |
| `results[].ssl.fingerprint` | object |
| `results[].ssl.fingerprint.sha256` | string |
| `results[].ssl.fingerprint.sha1` | string |
| `results[].ssl.fingerprint.md5` | string |
| `results[].ssl.validity` | object |
| `results[].ssl.validity.start_date` | string |
| `results[].ssl.validity.end_date` | string |
| `results[].ssl.validity.length` | number |
| `results[].ssl.signature` | object |
| `results[].ssl.signature.is_self_signed` | boolean |
| `results[].ssl.signature.is_valid` | boolean |
| `results[].ssl.signature.value` | string |
| `results[].ssl.signature.algorithm` | object |
| `results[].ssl.signature.algorithm.oid` | string |
| `results[].ssl.signature.algorithm.name` | string |
| `results[].ssl.issuer_dn` | string |
| `results[].ssl.issuer` | object |
| `results[].ssl.issuer.common_name` | string |
| `results[].ssl.issuer.country` | string |
| `results[].ssl.issuer.state` | string \| null |
| `results[].ssl.issuer.locality` | string \| null |
| `results[].ssl.issuer.organization` | string |
| `results[].ssl.issuer.organizational_unit` | string \| null |
| `results[].ssl.subject_dn` | string |
| `results[].ssl.subject` | object |
| `results[].ssl.subject.common_name` | string |
| `results[].ssl.subject.country` | null |
| `results[].ssl.subject.state` | null |
| `results[].ssl.subject.locality` | null |
| `results[].ssl.subject.organization` | null |
| `results[].ssl.subject.organizational_unit` | null |
| `results[].ssl.extensions` | object |
| `results[].ssl.extensions.authority_key_id` | string |
| `results[].ssl.extensions.basic_constraints` | object |
| `results[].ssl.extensions.basic_constraints.is_ca` | boolean |
| `results[].ssl.extensions.certificate_policies` | array<string> |
| `results[].ssl.extensions.extended_key_usage` | object |
| `results[].ssl.extensions.extended_key_usage.client_auth` | boolean \| null |
| `results[].ssl.extensions.extended_key_usage.server_auth` | boolean |
| `results[].ssl.extensions.key_usage` | object |
| `results[].ssl.extensions.key_usage.digital_signature` | boolean |
| `results[].ssl.extensions.key_usage.content_commitment` | boolean |
| `results[].ssl.extensions.key_usage.key_agreement` | boolean |
| `results[].ssl.extensions.key_usage.data_encipherment` | boolean |
| `results[].ssl.extensions.key_usage.key_encipherment` | boolean |
| `results[].ssl.extensions.key_usage.key_cert_sign` | boolean |
| `results[].ssl.extensions.key_usage.crl_sign` | boolean |
| `results[].ssl.extensions.signed_certificate_timestamps` | array<string> |
| `results[].ssl.extensions.subject_alt_name` | object |
| `results[].ssl.extensions.subject_alt_name.dns_names` | array<string> |
| `results[].ssl.extensions.subject_key_id` | string |
| `results[].ssl.check_date` | string |
| `results[].ssl_last_change_date` | string \| null |
| `results[].webdata` | object |
| `results[].webdata.connection_status` | string |
| `results[].webdata.html` | object |
| `results[].webdata.html.source_code_hash` | string |
| `results[].webdata.http` | object |
| `results[].webdata.http.status_code_first` | number |
| `results[].webdata.http.status_code_last` | number |
| `results[].webdata.http.redirection_history` | array<object> |
| `results[].webdata.http.redirection_history[].url` | string |
| `results[].webdata.http.redirection_history[].status_code` | number |
| `results[].webdata.http.external_redirection` | boolean \| null |
| `results[].webdata.http.final_url` | string |
| `results[].webdata.http.final_fqdn` | string |
| `results[].webdata.http.final_domain` | string |
| `results[].webdata.http.headers` | object |
| `results[].webdata.http.headers.others` | array<object> |
| `results[].webdata.http.headers.others[].name` | string |
| `results[].webdata.http.headers.others[].value` | string |
| `results[].webdata.http.headers.access_control_allow_headers` | null |
| `results[].webdata.http.headers.access_control_allow_methods` | null |
| `results[].webdata.http.headers.access_control_allow_origin` | null |
| `results[].webdata.http.headers.cache_control` | null |
| `results[].webdata.http.headers.clear_site_data` | null |
| `results[].webdata.http.headers.content_encoding` | string \| null |
| `results[].webdata.http.headers.content_security_policy` | null |
| `results[].webdata.http.headers.content_type` | string |
| `results[].webdata.http.headers.cross_origin_embedder_policy` | null |
| `results[].webdata.http.headers.cross_origin_opener_policy` | null |
| `results[].webdata.http.headers.cross_origin_resource_policy` | null |
| `results[].webdata.http.headers.expect_ct` | null |
| `results[].webdata.http.headers.feature_policy` | null |
| `results[].webdata.http.headers.last_modified` | string |
| `results[].webdata.http.headers.permission_policy` | null |
| `results[].webdata.http.headers.referrer_policy` | null |
| `results[].webdata.http.headers.server` | string |
| `results[].webdata.http.headers.set_cookie` | null |
| `results[].webdata.http.headers.strict_transport_security` | null |
| `results[].webdata.http.headers.x_content_type_options` | null |
| `results[].webdata.http.headers.x_download_options` | null |
| `results[].webdata.http.headers.x_frame_options` | null |
| `results[].webdata.http.headers.x_permitted_cross_domain_policies` | null |
| `results[].webdata.http.headers.x_powered_by` | null |
| `results[].webdata.http.headers.x_xss_protection` | null |
| `results[].webdata.http.cookies` | array |

## Examples

### 200 · OK

```bash
curl 'https://api.deepinfo.com/v1/discovery/sametime-domain-finder?domain=deepinfo.com&page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 24,
  "results": [
    {
      "punycode": "hydro-crane.com",
      "unicode": "hydro-crane.com",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "hydro-crane",
        "unicode": "hydro-crane",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": true,
        "length": 11,
        "lang": "en",
        "keywords": [
          "hydro",
          "crane"
        ],
        "keyword_count": 2,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "hydro-crane.com",
        "unicode": "hydro-crane.com",
        "is_idn": false,
        "name": {
          "punycode": "hydro-crane",
          "unicode": "hydro-crane",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": true,
          "length": 11,
          "lang": "en",
          "keywords": [
            "hydro",
            "crane"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2001-06-05T02:58:35Z",
          "update_date": "2026-04-23T15:51:17Z",
          "expiry_date": "2027-06-05T02:58:35Z",
          "registrar": "japan registry services co., ltd.",
          "registrant": {
            "name": "REDACTED FOR PRIVACY",
            "organization": null,
            "street": "REDACTED FOR PRIVACY",
            "city": "matsuyama-shi",
            "state": "ehime",
            "postal_code": "REDACTED FOR PRIVACY",
            "country": "jp",
            "phone": "+1-555-0100",
            "email": "REDACTED FOR PRIVACY"
          },
          "name_servers": [
            "ns1.dns.ne.jp",
            "ns2.dns.ne.jp"
          ],
          "domain_status": [
            "ok"
          ],
          "whois_server": "whois.jprs.jp",
          "check_date": "2026-07-27T02:45:40Z"
        },
        "whois_normalized": {
          "registrant": {
            "organization": null,
            "phone": "+1-555-0100",
            "email": "REDACTED FOR PRIVACY",
            "email_fqdn_apex": "REDACTED FOR PRIVACY",
            "email_domain_apex": "REDACTED FOR PRIVACY"
          }
        },
        "whois_last_check_date": "2026-07-27T02:45:40Z",
        "whois_create_date_historical": [
          "2001-06-05T02:58:35Z"
        ],
        "whois_last_change_date": "2026-05-26T21:21:03Z",
        "whois_registrant_email_historical": [
          "user@sakura.ad.jp"
        ],
        "whois_privacy_enabled": true,
        "dns": {
          "a": {
            "update_date": "2026-09-15T23:15:09Z",
            "ip_addresses": [
              "219.94.129.88"
            ]
          }
        },
        "dns_last_change_date": "2026-09-16T00:59:35Z",
        "ip_history": [
          "219.94.129.88"
        ],
        "ssl": {
          "validity": {
            "start_date": "2026-05-01T00:00:00Z",
            "end_date": "2026-11-15T23:59:59Z"
          },
          "serial_number": "162876945466877678949387555832225540081",
          "check_date": "2026-09-16T00:58:36Z"
        },
        "ssl_last_change_date": "2026-05-15T19:54:40Z"
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-15T23:15:09Z",
          "ip_addresses": [
            "219.94.129.88"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-15T23:15:09Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-15T23:15:09Z",
          "name_servers": [
            "ns1.dns.ne.jp",
            "ns2.dns.ne.jp"
          ]
        },
        "mx": {
          "update_date": "2026-09-15T23:15:09Z",
          "mail_servers": [
            "hydro-crane.com"
          ]
        },
        "soa": {
          "update_date": "2026-09-15T23:15:09Z",
          "mnames": [
            "master.dns.ne.jp"
          ],
          "rnames": [
            "tech.sakura.ad.jp"
          ],
          "rname_emails": [
            "user@sakura.ad.jp"
          ]
        },
        "txt": {
          "update_date": "2026-09-15T23:15:09Z",
          "values": [
            "\"v=spf1 a:www1078.sakura.ne.jp mx ~all\""
          ]
        },
        "cname": {
          "update_date": "2026-09-15T23:15:09Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": "2026-09-16T00:59:32Z",
      "ip_history": [
        "219.94.129.88"
      ],
      "ssl": {
        "tags": [
          "dla"
        ],
        "fqdns": [
          "180r.com",
          "2-d.jp"
        ],
        "version": 3,
        "serial_number": "162876945466877678949387555832225540081",
        "fingerprint": {
          "sha256": "208b455c89e5e1d97f004e6dd4ee4c0464105efd25b253f0222b3ec2cd07cc95",
          "sha1": "99e64e9a7b628e1f186fa0a1ac0be9870aabb249",
          "md5": "7a95074e1988e287feccf21163612be1"
        },
        "validity": {
          "start_date": "2026-05-01T00:00:00Z",
          "end_date": "2026-11-15T23:59:59Z",
          "length": 17193599
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": false,
          "value": "OE/386Tzb7iYEPBHmDhmyVk0Zg3eH3lYrm2MX1dJ4HX0/BziiWg5+TxnuMRAipMSqTt7PyWwJuWFo6Xe18pjvdGeaGXvWBkT0PvzoI+JR8pLAkScU9RIBHyeekZeUugBDp5i+eb8mU76iMV0rW+Zos2cfNyQ46jGTn5zQSgXByBDvpBVdNrV9t6I2URcdzGZSARDBjjq1q0F/NuTb0NAp9i+LgVAExWUblNvzRK9hMImuW/yjboylFDC6YfVc60VfivUs4zgJRaVZhTU3VQBSiLJ9MSDTgKMYYN80zZjo+SSE+/8JbEWyYs7S3Zs6NusC/rUM5KquRVV69Ouxf83vB8acIznlGKpAmumLKKYcYptwFlSJoGi2TT8XqtmDbLcu8Il5Fpf1RVhexew…",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.11",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=Gehirn RSA Domain Validation Secure Server CA 2,O=Gehirn Inc.,C=JP",
        "issuer": {
          "common_name": "Gehirn RSA Domain Validation Secure Server CA 2",
          "country": "JP",
          "state": null,
          "locality": null,
          "organization": "Gehirn Inc.",
          "organizational_unit": null
        },
        "subject_dn": "CN=*.sakura.ne.jp",
        "subject": {
          "common_name": "*.sakura.ne.jp",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "kZnsJSaAcJtG+2N2UaMeefEwlZ4=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": null,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": true,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2026-05-01T06:35:07Z",
            "2026-05-01T06:35:08Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "*.sakura.ne.jp",
              "*.180r.com"
            ]
          },
          "subject_key_id": "u1QefonXl1pyWl+gyAPDtkJlG2o="
        },
        "check_date": "2026-09-16T00:58:36Z"
      },
      "ssl_last_change_date": "2026-05-15T19:54:39Z",
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "8e2bd235bd2e143bb16de0d5916cda41ed94e348b4dde1a596bd1b0707196a1a"
        },
        "http": {
          "status_code_first": 200,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://hydro-crane.com/",
              "status_code": 200
            }
          ],
          "external_redirection": null,
          "final_url": "http://hydro-crane.com/",
          "final_fqdn": "hydro-crane.com",
          "final_domain": "hydro-crane.com",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Thu, 30 Apr 2026 21:55:56 GMT"
              },
              {
                "name": "content_length",
                "value": "5669"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": null,
            "clear_site_data": null,
            "content_encoding": null,
            "content_security_policy": null,
            "content_type": "text/html",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": "Mon, 22 Nov 2021 00:36:00 GMT",
            "permission_policy": null,
            "referrer_policy": null,
            "server": "nginx",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    },
    {
      "punycode": "infiniteloupe.com",
      "unicode": "infiniteloupe.com",
      "is_idn": false,
      "subdomain": null,
      "subdomain_last": null,
      "subdomain_root": null,
      "name": {
        "punycode": "infiniteloupe",
        "unicode": "infiniteloupe",
        "is_idn": false,
        "contains_letter": true,
        "contains_number": false,
        "contains_hyphen": false,
        "length": 13,
        "lang": "en",
        "keywords": [
          "infinite",
          "loupe"
        ],
        "keyword_count": 2,
        "latinized": [],
        "contains_confusable": false
      },
      "domain": {
        "punycode": "infiniteloupe.com",
        "unicode": "infiniteloupe.com",
        "is_idn": false,
        "name": {
          "punycode": "infiniteloupe",
          "unicode": "infiniteloupe",
          "is_idn": false,
          "contains_letter": true,
          "contains_number": false,
          "contains_hyphen": false,
          "length": 13,
          "lang": "en",
          "keywords": [
            "infinite",
            "loupe"
          ],
          "keyword_count": 2
        },
        "extension": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_root": {
          "punycode": "com",
          "unicode": "com",
          "is_idn": false
        },
        "extension_sub": null,
        "extension_type": 1,
        "reserved": null,
        "premium": null,
        "registered": true,
        "whois": {
          "create_date": "2001-06-05T03:01:01Z",
          "update_date": "2026-05-06T08:10:05Z",
          "expiry_date": "2027-06-05T03:01:01Z",
          "registrar": "namecheap, inc.",
          "registrant": {
            "name": "redacted for privacy",
            "organization": "privacy service provided by withheld for privacy ehf",
            "street": "kalkofnsvegur 2",
            "city": "reykjavik",
            "state": "capital region",
            "postal_code": "101",
            "country": "is",
            "phone": "+1-555-0100",
            "email": "user@withheldforprivacy.com"
          },
          "name_servers": [
            "ns53.domaincontrol.com",
            "ns54.domaincontrol.com"
          ],
          "domain_status": [
            "clienttransferprohibited"
          ],
          "whois_server": "whois.namecheap.com",
          "check_date": "2026-07-10T07:21:24Z"
        },
        "whois_normalized": {
          "registrant": {
            "organization": "privacyserviceprovidedbywithheldforprivacyehf",
            "phone": "+1-555-0100",
            "email": "user@withheldforprivacy.com",
            "email_fqdn_apex": "withheldforprivacy.com",
            "email_domain_apex": "withheldforprivacy.com"
          }
        },
        "whois_last_check_date": "2026-07-10T07:21:24Z",
        "whois_create_date_historical": [
          "2001-06-05T03:01:01Z"
        ],
        "whois_last_change_date": "2026-05-09T20:03:37Z",
        "whois_registrant_email_historical": [
          "user@gmail.com",
          "user@withheldforprivacy.com"
        ],
        "whois_privacy_enabled": true,
        "dns": {
          "a": {
            "update_date": "2026-09-04T16:32:29Z",
            "ip_addresses": [
              "3.33.152.147",
              "15.197.142.173"
            ]
          }
        },
        "dns_last_change_date": null,
        "ip_history": [
          "184.168.131.241",
          "15.197.142.173"
        ],
        "ssl": {
          "validity": {
            "start_date": "2021-09-12T09:14:37Z",
            "end_date": "2022-10-14T09:14:37Z"
          },
          "serial_number": "16451512069498276935",
          "check_date": "2021-10-10T16:00:05Z"
        },
        "ssl_last_change_date": null
      },
      "type": 1,
      "subdomain_level_count": 0,
      "dns": {
        "a": {
          "update_date": "2026-09-04T16:32:29Z",
          "ip_addresses": [
            "3.33.152.147",
            "15.197.142.173"
          ]
        },
        "aaaa": {
          "update_date": "2026-09-04T16:32:29Z",
          "ip_addresses": []
        },
        "ns": {
          "update_date": "2026-09-04T16:32:29Z",
          "name_servers": [
            "ns53.domaincontrol.com",
            "ns54.domaincontrol.com"
          ]
        },
        "mx": {
          "update_date": "2026-09-04T16:32:29Z",
          "mail_servers": []
        },
        "soa": {
          "update_date": "2026-09-04T16:32:29Z",
          "mnames": [
            "ns53.domaincontrol.com"
          ],
          "rnames": [
            "dns.domain-496.example"
          ],
          "rname_emails": [
            "user@domain-496.example"
          ]
        },
        "txt": {
          "update_date": "2026-09-04T16:32:29Z",
          "values": []
        },
        "cname": {
          "update_date": "2026-09-04T16:32:29Z",
          "values": []
        },
        "others": []
      },
      "dns_last_change_date": null,
      "ip_history": [
        "184.168.131.241",
        "15.197.142.173"
      ],
      "ssl": {
        "tags": [],
        "fqdns": [
          "shortener.secureserver.net",
          "www.shortener.secureserver.net"
        ],
        "version": 3,
        "serial_number": "16451512069498276935",
        "fingerprint": {
          "sha256": "17804b9511f13e7a2d4d87313f05dedb2f09953cfe555f36cc0a33be22e519f1",
          "sha1": "d94d17363326b7a4febe9034fa4ed728ffe22283",
          "md5": "7283e7f362d467b3454c95596cde0fdc"
        },
        "validity": {
          "start_date": "2021-09-12T09:14:37Z",
          "end_date": "2022-10-14T09:14:37Z",
          "length": 34300800
        },
        "signature": {
          "is_self_signed": false,
          "is_valid": false,
          "value": "obocIRDh+Cv2zHQqa+t63jCO9sEbYRuwBEtb3Idz3GekX9AXZEzBK1XPSe7SQmmfo5bAqgG+fekIaEiUQDHEcGZ2TUbrtn5qVuYzyqh1uK3Ae5yoK3NRRksmH94aJ4NH9YHV4eCCGLRsv8JO9Bu3an7wJQnKA3zVpughVMR5fKBJnY3YUInY1McUcZEiuQEfpZ4rw3XGbgWw65IfEhQNGi1wRjiq4ssSonp4rRRGMOj4l1qX8R7KyByDU2tG8N4gEEGUBAeFtwjKJvUsLeA8e0ilSwTzqJIhMO47NNys4DqbDY5keuZjGgeLs/qPywE6OmWhItN2dl6y2v6V9gxqXQ==",
          "algorithm": {
            "oid": "1.2.840.113549.1.1.11",
            "name": "sha256"
          }
        },
        "issuer_dn": "CN=Starfield Secure Certificate Authority - G2,OU=http://certs.starfieldtech.com/repository/,O=Starfield Technologies\\, Inc.,L=Scottsdale,ST=Arizona,C=US",
        "issuer": {
          "common_name": "Starfield Secure Certificate Authority - G2",
          "country": "US",
          "state": "Arizona",
          "locality": "Scottsdale",
          "organization": "Starfield Technologies, Inc.",
          "organizational_unit": "http://certs.starfieldtech.com/repository/"
        },
        "subject_dn": "CN=shortener.secureserver.net",
        "subject": {
          "common_name": "shortener.secureserver.net",
          "country": null,
          "state": null,
          "locality": null,
          "organization": null,
          "organizational_unit": null
        },
        "extensions": {
          "authority_key_id": "JUWBaFAmOD07LSy+zWrZtj2zZmM=",
          "basic_constraints": {
            "is_ca": false
          },
          "certificate_policies": [
            "2.16.840.1.114414.1.7.23.1",
            "2.23.140.1.2.1"
          ],
          "extended_key_usage": {
            "client_auth": true,
            "server_auth": true
          },
          "key_usage": {
            "digital_signature": true,
            "content_commitment": false,
            "key_agreement": false,
            "data_encipherment": false,
            "key_encipherment": true,
            "key_cert_sign": false,
            "crl_sign": false
          },
          "signed_certificate_timestamps": [
            "2021-09-12T09:14:39Z"
          ],
          "subject_alt_name": {
            "dns_names": [
              "shortener.secureserver.net",
              "www.shortener.secureserver.net"
            ]
          },
          "subject_key_id": "MA3IHHyDMz+ulisgkMZDkIct2uI="
        },
        "check_date": "2021-10-10T16:00:05Z"
      },
      "ssl_last_change_date": null,
      "webdata": {
        "connection_status": "success",
        "html": {
          "source_code_hash": "e96ec4f5cd871269426b75231e284157cc2ea051f093eea5fec77f6b9c30e355"
        },
        "http": {
          "status_code_first": 302,
          "status_code_last": 200,
          "redirection_history": [
            {
              "url": "http://infiniteloupe.com/",
              "status_code": 302
            },
            {
              "url": "http://www.infinitelou.pe",
              "status_code": 200
            }
          ],
          "external_redirection": true,
          "final_url": "http://www.infinitelou.pe",
          "final_fqdn": "www.infinitelou.pe",
          "final_domain": "infinitelou.pe",
          "headers": {
            "others": [
              {
                "name": "date",
                "value": "Sun, 26 Jul 2026 13:02:51 GMT"
              },
              {
                "name": "upgrade",
                "value": "h2,h2c"
              }
            ],
            "access_control_allow_headers": null,
            "access_control_allow_methods": null,
            "access_control_allow_origin": null,
            "cache_control": null,
            "clear_site_data": null,
            "content_encoding": "gzip",
            "content_security_policy": null,
            "content_type": "text/html",
            "cross_origin_embedder_policy": null,
            "cross_origin_opener_policy": null,
            "cross_origin_resource_policy": null,
            "expect_ct": null,
            "feature_policy": null,
            "last_modified": "Tue, 16 Oct 2018 04:51:12 GMT",
            "permission_policy": null,
            "referrer_policy": null,
            "server": "Apache",
            "set_cookie": null,
            "strict_transport_security": null,
            "x_content_type_options": null,
            "x_download_options": null,
            "x_frame_options": null,
            "x_permitted_cross_domain_policies": null,
            "x_powered_by": null,
            "x_xss_protection": null
          },
          "cookies": []
        }
      }
    }
  ]
}
```

### 400 · Invalid Parameter (invalid export=notabool)

```bash
curl 'https://api.deepinfo.com/v1/discovery/sametime-domain-finder?export=notabool&domain=deepinfo.com' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 5f0c6a8e-1b2d-4c3e-9f4a-7b8c9d0e1f2a`

```json
{
  "code": 10400,
  "parameters": [
    {
      "param": "export",
      "details": [
        "Must be a valid boolean."
      ]
    }
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```

## Worked Examples

Worked examples of this endpoint, each on its own page with the exact request and its response: [Same-Time Registered Domain Finder Examples](/reference/discovery/same-time-registered-domain-finder/examples/).

- [Registered Within 5 Minutes](/reference/discovery/same-time-registered-domain-finder/examples/default/): The domains created within 5 minutes (the default interval) of deepinfo.com: 24 on the day of capture.
- [Registered Within 1 Minute](/reference/discovery/same-time-registered-domain-finder/examples/interval-1/): Narrows the window to 1 minute around the creation of deepinfo.com: 8 domains, deepinfo.com among them.
- [In Order of Registration](/reference/discovery/same-time-registered-domain-finder/examples/ordering-create-date/): The domains created within 5 minutes of deepinfo.com, in the order they were registered (`ordering=domain.whois.create_date`).
